Subject: Re: [GIT PULL] AlacrityVM guest drivers for 2.6.33

From: Anthony Liguori <[email-masked]>
Date: Wed, 23 Dec 2009 17:27:14 -0600

On 12/23/2009 11:29 AM, Linus Torvalds wrote:
>
>
> On Wed, 23 Dec 2009, Gregory Haskins wrote:
>>>
>>> And upstream submission is not always like this!
>>
>> I would think the process would come to a grinding halt if it were ;)
>
> Well, in all honesty, if it had been non-virtualized drivers I would just
> have pulled. The pull request all looked sane, the diffstat looked clean
> and non-intrusive, and I had no problems with any of that.
>
> But the virtualization people always argue about the fifty-eleven
> different ways of doing things, and unlike real drivers - where the actual
> hardware places constraints on what the heck is going on - virtualization
> people seem to revel in making new interfaces weekly, and tend to be only
> incidentally limited by hardware (ie hardware interfaces may limit some
> _details_, but seldom any higher-level arguments).
>
> So when I see another virtualization interface, I want the virtualization
> people to just argue it out amongst themselves.

Actually, this sentiment is really the basis of this whole discussion. 
KVM is the product of learnign the hard way that that inventing 
interfaces just because we can is a total waste of time.

Our current I/O infrastructure is based on PCI devices that we can 
emulate efficiently.  They look, feel, and taste like real hardware 
devices.  We try to be as boring as humanly possible and so far, it's 
worked out extremely well for us.

> Thanks to the virtue of me
> personally not caring one whit about virtualization, I can stand back and
> just watch the fireworks.

That's ashame, because I wish more people with a practical sentiment 
cared about virtualization to discourage the general silliness that 
seems to be all too common in this space.

Regards,

Anthony LIguori